Subject: bug#5299: 23.1.91; Cannot send bug report - get error no such file /bin/bash

From: Lennart Borgman <[email-masked]>
Date: Sun, 3 Jan 2010 22:10:41 +0100

On Sun, Jan 3, 2010 at 9:58 PM, Drew Adams <[email-masked]> wrote:
>> Didn't we make a special workaround on w32 for this to work? I thought
>> that workaround was needed. It did put the content of the bug report
>> on the clipboard etc.
>>
>> Is that what you have been using before, Drew, or?
>
> Sorry, I don't know what you are referring to, Lennart.
>
> I have always used vanilla Emacs with `emacs -Q' to report bugs.  I have,
> personally, never employed any "special workaround on w32".  I don't know
> anything about such a workaround.
>
> Or perhaps you are referring to something that Emacs did under the covers? If
> so, I know nothing about it - I've never tried to follow the `report-emacs-bug'
> code or the Emacs mail code.

If you were using it you should have noticed because it was not
totally transparent. The trouble was the restriction on the command
line length in w32. Because of this we could not send the message this
way to the default mail client. Instead we did a two step workaround:

1) We first put the message on the clipboard and then created a
shorter mail message that said that the real content was on the
clipboard.

2) This shorter message was sent to the default mail client and should
up for editing before sending.

I do not know if this works any more however. I do not use it myself
anymore since using it with web mail (gmail) is a bit clumsy. I just
cut and paste instead.

But for those using a w32 mail client it should still be usable I
believe. Or has someone found a workaround for the problem with the
command line length restriction?

> Are you able to reproduce the bug using Jason's pretest build and `emacs -Q'?
>
> There is nothing special at my end, AFAIK. I have Windows XP SP3. I do have
> Cygwin installed on my computer, but I don't tell Emacs that in any way when I
> use `emacs -Q'. I use Outlook 2003 as mail client.